org.apache.cassandra.db.composites

## Class CompoundSparseCellName.WithCollection

- java.lang.Object
- - org.apache.cassandra.db.composites.AbstractComposite
  - - org.apache.cassandra.db.composites.CompoundComposite
    - - org.apache.cassandra.db.composites.CompoundSparseCellName
      - - org.apache.cassandra.db.composites.CompoundSparseCellName.WithCollection

All Implemented Interfaces:
  IMeasurableMemory, CellName, Composite

Enclosing class:
  CompoundSparseCellName

    public static class CompoundSparseCellName.WithCollection
    extends CompoundSparseCellName

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.db.composites.CompoundSparseCellName

`CompoundSparseCellName.WithCollection`

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.composites.Composite

`Composite.EOC`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.composites.CompoundSparseCellName

`columnName`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `collectionElement()` The value of the collection element, or null if the cell is not part of a collection (i.e.
`CellName` `copy(CFMetaData cfm, AbstractAllocator allocator)`
`java.nio.ByteBuffer` `get(int i)`
`boolean` `isCollectionCell()`
`int` `size()`
`long` `unsharedHeapSize()`
`long` `unsharedHeapSizeExcludingData()`

### Methods inherited from class org.apache.cassandra.db.composites.CompoundSparseCellName

`clusteringSize, cql3ColumnName, isSameCQL3RowAs`

### Methods inherited from class org.apache.cassandra.db.composites.CompoundComposite

`elementsCopy, isStatic`

### Methods inherited from class org.apache.cassandra.db.composites.AbstractComposite

`dataSize, end, eoc, equals, hashCode, isEmpty, isPrefixOf, slice, start, toByteBuffer, withEOC`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.composites.Composite

`dataSize, end, eoc, isEmpty, isPrefixOf, isStatic, slice, start, toByteBuffer, withEOC`

### Method Detail

#### size

    public int size()

Specified by:
  `size` in interface `Composite`
Overrides:
  `size` in class `CompoundSparseCellName`

#### get

    public java.nio.ByteBuffer get(int i)

Specified by:
  `get` in interface `Composite`
Overrides:
  `get` in class `CompoundSparseCellName`

#### collectionElement

    public java.nio.ByteBuffer collectionElement()

Description copied from interface: `CellName`
The value of the collection element, or null if the cell is not part of a collection (i.e. if !isCollectionCell()).

Specified by:
  `collectionElement` in interface `CellName`
Overrides:
  `collectionElement` in class `CompoundSparseCellName`

#### isCollectionCell

    public boolean isCollectionCell()

Specified by:
  `isCollectionCell` in interface `CellName`
Overrides:
  `isCollectionCell` in class `CompoundSparseCellName`

#### copy

    public CellName copy(CFMetaData cfm,
                         AbstractAllocator allocator)

Specified by:
  `copy` in interface `CellName`
Specified by:
  `copy` in interface `Composite`
Overrides:
  `copy` in class `CompoundSparseCellName`

#### unsharedHeapSize

    public long unsharedHeapSize()

Specified by:
  `unsharedHeapSize` in interface `IMeasurableMemory`
Overrides:
  `unsharedHeapSize` in class `CompoundSparseCellName`
Returns:
  the amount of on-heap memory retained by the object that might be reclaimed if the object were reclaimed, i.e. it should try to exclude globally cached data where possible, or counting portions of arrays that are referenced by the object but used by other objects only (e.g. slabbed byte-buffers), etc.

#### unsharedHeapSizeExcludingData

    public long unsharedHeapSizeExcludingData()

Specified by:
  `unsharedHeapSizeExcludingData` in interface `CellName`
Overrides:
  `unsharedHeapSizeExcludingData` in class `CompoundSparseCellName`